Issue 1377 Darcs has its own executable name hardcoded

Title Darcs has its own executable name hardcoded
Priority bug Status resolved
Milestone Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, jaredj, kirby, kowey, thorkilnaur, visq
Assigned To
Topics ProbablyEasy

Created on 2009-03-05.08:19:45 by kirby, last changed 2010-03-15.11:02:11 by darcs-devel.

msg7399 (view) Author: kirby Date: 2009-03-05.08:19:42
It should look for it from an environment variable.
For an example of this behaviour look Darcs.RemoteApply, used by darcs push too.
msg9257 (view) Author: visq Date: 2009-11-14.10:30:00
There are two different issues: Starting another instance of darcs on the local 
machine, and invoking darcs remotely via SSH.

Locally, we can use getProgName (as kirby pointed out, this would be helpful for 
Cygwin). Is it always fine to invoke darcs via ARGV[0] ?  

For remote invocations, Petr suggested to add a flag like --darcs-remote-
command, which should be filed as another bug.
msg9260 (view) Author: kowey Date: 2009-11-14.11:43:34
See http://bugs.darcs.net/issue223 for the --remote-darcs request (which I think
anybody should feel free to take up as it's been assigned for a while, maybe
pinging CKeen)
msg10222 (view) Author: darcs-devel Date: 2010-03-15.11:02:09
The following patch updated the status of issue1377 to be resolved:

* resolve issue1377: getProgname for local darcs instances 
Ignore-this: d46f7d47fa663c8b68ab4a930ceb3e2e
Date User Action Args
2009-03-05 08:19:45kirbycreate
2009-03-05 08:25:07kirbysetpriority: bug
status: unread -> needs-reproduction
topic: + ProbablyEasy
nosy: + jaredj
2009-08-10 17:38:21koweysetstatus: needs-reproduction -> needs-implementation
nosy: kowey, simon, thorkilnaur, jaredj, dmitry.kurochkin, kirby
2009-08-25 17:41:33adminsetnosy: + darcs-devel, - simon
2009-08-27 14:21:57adminsetnosy: kowey, darcs-devel, thorkilnaur, jaredj, dmitry.kurochkin, kirby
2009-11-14 10:30:03visqsetstatus: needs-implementation -> needs-reproduction
nosy: + visq
messages: + msg9257
2009-11-14 11:43:36koweysetmessages: + msg9260
2009-11-17 11:05:28koweylinkpatch52 issues
2010-03-15 11:02:11darcs-develsetstatus: needs-reproduction -> resolved
messages: + msg10222